Index: /trunk/BNC/src/bncwindow.cpp
===================================================================
--- /trunk/BNC/src/bncwindow.cpp	(revision 6710)
+++ /trunk/BNC/src/bncwindow.cpp	(revision 6711)
@@ -625,5 +625,5 @@
   _proxyPortLineEdit->setMaximumWidth(9*ww);
 
-  pLayout->addWidget(new QLabel("Settings for proxy in protected networks and for SSL authorization, leave boxes blank if none."),0, 0, 1, 50);
+  pLayout->addWidget(new QLabel("Settings for proxy in protected networks and for SSL authorization, leave boxes blank if none.<br>"),0, 0, 1, 50);
   pLayout->addWidget(new QLabel("Proxy host"),                               1, 0);
   pLayout->addWidget(_proxyHostLineEdit,                                     1, 1, 1,10);
@@ -646,5 +646,5 @@
   _onTheFlyComboBox->setMaximumWidth(9*ww);
 
-  gLayout->addWidget(new QLabel("General settings for logfile, file handling, configuration on-the-fly, and auto-start."),0, 0, 1, 50);
+  gLayout->addWidget(new QLabel("General settings for logfile, file handling, configuration on-the-fly, and auto-start.<br>"),0, 0, 1, 50);
   gLayout->addWidget(new QLabel("Logfile (full path)"),          1, 0);
   gLayout->addWidget(_logFileLineEdit,                           1, 1, 1,20);
@@ -669,5 +669,5 @@
 //_rnxSamplSpinBox->setMaximumWidth(9*ww);
 
-  oLayout->addWidget(new QLabel("Saving RINEX observation files."),0, 0, 1,50);
+  oLayout->addWidget(new QLabel("Saving RINEX observation files.<br>"),0, 0, 1,50);
   oLayout->addWidget(new QLabel("Directory"),                      1, 0);
   oLayout->addWidget(_rnxPathLineEdit,                             1, 1, 1, 15);
@@ -697,5 +697,5 @@
   _outEphPortLineEdit->setMaximumWidth(9*ww);
 
-  eLayout->addWidget(new QLabel("Saving RINEX navigation files and ephemeris output through IP port."),0,0,1,70);
+  eLayout->addWidget(new QLabel("Saving RINEX navigation files and ephemeris output through IP port.<br>"),0,0,1,70);
   eLayout->addWidget(new QLabel("Directory"),                     1, 0);
   eLayout->addWidget(_ephPathLineEdit,                            1, 1, 1,30);
@@ -718,5 +718,5 @@
   _corrPortLineEdit->setMaximumWidth(9*ww);
 
-  cLayout->addWidget(new QLabel("Saving Broadcast Ephemeris correction files and correction output through IP port."),0,0,1,70);
+  cLayout->addWidget(new QLabel("Saving Broadcast Ephemeris correction files and correction output through IP port.<br>"),0,0,1,70);
   cLayout->addWidget(new QLabel("Directory, ASCII"),              1, 0);
   cLayout->addWidget(_corrPathLineEdit,                           1, 1, 1,30);
@@ -738,5 +738,5 @@
   _outUPortLineEdit->setMaximumWidth(9*ww);
 
-  sLayout->addWidget(new QLabel("Output decoded observations in ASCII format to feed a real-time GNSS network engine."),0,0,1,50);
+  sLayout->addWidget(new QLabel("Output decoded observations in ASCII format to feed a real-time GNSS network engine.<br>"),0,0,1,50);
   sLayout->addWidget(new QLabel("Port"),                            1, 0);
   sLayout->addWidget(_outPortLineEdit,                              1, 1);
@@ -766,5 +766,5 @@
   _serialHeightNMEALineEdit->setMaximumWidth(8*ww);
 
-  serLayout->addWidget(new QLabel("Port settings to feed a serial connected receiver."),0,0,1,30);
+  serLayout->addWidget(new QLabel("Port settings to feed a serial connected receiver.<br>"),0,0,1,30);
   serLayout->addWidget(new QLabel("Mountpoint"),                  1, 0, Qt::AlignLeft);
   serLayout->addWidget(_serialMountPointLineEdit,                 1, 1, 1, 2);
@@ -800,5 +800,5 @@
   _adviseRecoSpinBox->setMaximumWidth(9*ww);
 
-  aLayout->addWidget(new QLabel("Failure and recovery reports, advisory notes."),0,0,1,50,Qt::AlignLeft);
+  aLayout->addWidget(new QLabel("Failure and recovery reports, advisory notes.<br>"),0,0,1,50,Qt::AlignLeft);
   aLayout->addWidget(new QLabel("Observation rate"),              1, 0);
   aLayout->addWidget(_obsRateComboBox,                            1, 1);
@@ -821,5 +821,5 @@
   _miscPortLineEdit->setMaximumWidth(9*ww);
 
-  rLayout->addWidget(new QLabel("Log latencies or scan RTCM streams for message types and antenna information or output raw data through TCP/IP port."),0, 0,1,50);
+  rLayout->addWidget(new QLabel("Log latencies or scan RTCM streams for message types and antenna information or output raw data through TCP/IP port.<br>"),0, 0,1,50);
   rLayout->addWidget(new QLabel("Mountpoint"),                    1, 0);
   rLayout->addWidget(_miscMountLineEdit,                          1, 1, 1, 7);
@@ -881,6 +881,4 @@
   pppLayout1->addWidget(_pppWidgets._snxtroSampl,            ir, 6);
   ++ir;
-  pppLayout1->addWidget(new QLabel(""),                      ir, 7);
-  ++ir;
   pppLayout1->setRowStretch(ir, 999);
 
@@ -889,5 +887,5 @@
 
   QVBoxLayout* pppLayout2 = new QVBoxLayout();
-  pppLayout2->addWidget(new QLabel("Precise Point Positioning - Processed Stations."));
+  pppLayout2->addWidget(new QLabel("Precise Point Positioning - Processed Stations.<br>"));
   pppLayout2->addWidget(_pppWidgets._staTable, 99);
   QHBoxLayout* pppLayout2sub = new QHBoxLayout();
@@ -902,5 +900,5 @@
   QGridLayout* pppLayout3 = new QGridLayout();
   ir = 0;
-  pppLayout3->addWidget(new QLabel("Precise Point Positioning - Options."), ir, 0, 1, 2, Qt::AlignLeft);
+  pppLayout3->addWidget(new QLabel("Precise Point Positioning - Options.<br>"), ir, 0, 1, 2, Qt::AlignLeft);
   ++ir;     
   pppLayout3->addWidget(new QLabel("GPS LCs"),              ir, 0, Qt::AlignLeft);
@@ -951,5 +949,5 @@
   QGridLayout* pppLayout4 = new QGridLayout();
   ir = 0;
-  pppLayout4->addWidget(new QLabel("Precise Point Positioning - Plots."), ir, 0, 1, 50, Qt::AlignLeft);
+  pppLayout4->addWidget(new QLabel("Precise Point Positioning - Plots.<br>"), ir, 0, 1, 50, Qt::AlignLeft);
   ++ir;
   pppLayout4->addWidget(new QLabel("PPP Plot"),                          ir, 0, Qt::AlignLeft);
@@ -1025,5 +1023,5 @@
 
   ir = 0;
-  reqcLayout->addWidget(new QLabel("RINEX file editing, concatenation and quality check."),ir, 0, 1, 8);
+  reqcLayout->addWidget(new QLabel("RINEX file editing, concatenation and quality check.<br>"),ir, 0, 1, 8);
   ++ir;
   reqcLayout->addWidget(new QLabel("Action"),                    ir, 0);
@@ -1094,5 +1092,5 @@
 
   ir = 0;
-  sp3CompLayout->addWidget(new QLabel("Orbit and clock comparison."),  ir, 0, 1, 40);
+  sp3CompLayout->addWidget(new QLabel("Orbit and clock comparison.<br>"),  ir, 0, 1, 40);
   ++ir;
   sp3CompLayout->addWidget(new QLabel("Input SP3 files (full path)"),  ir, 0, Qt::AlignLeft);
@@ -1123,5 +1121,5 @@
   populateCmbTable();
   cmbLayout->addWidget(_cmbTable,                                            0, 0, 8, 3);
-  cmbLayout->addWidget(new QLabel(" Combine Broadcast Correction streams."), 1, 6, 1, 10);
+  cmbLayout->addWidget(new QLabel(" Combine Broadcast Correction streams.<br>"), 1, 6, 1, 10);
   cmbLayout->addWidget(addCmbRowButton,                                      2, 6);
   cmbLayout->addWidget(delCmbRowButton,                                      2, 7);
@@ -1166,5 +1164,5 @@
   populateUploadTable();
 
-  uploadLayout->addWidget(new QLabel("Upload RTCM Version 3 Broadcast Corrections to caster."));
+  uploadLayout->addWidget(new QLabel("Upload RTCM Version 3 Broadcast Corrections to caster.<br>"));
   uploadLayout->addWidget(_uploadTable);
   uploadLayout->addLayout(uploadHlpLayout);
@@ -1181,5 +1179,5 @@
   _uploadEphMountpointLineEdit->setMaximumWidth(12*ww);
 
-  uploadLayoutEph->addWidget(new QLabel("Upload concatenated RTCMv3 Broadcast Ephemeris to caster."), 0, 0, 1, 50);
+  uploadLayoutEph->addWidget(new QLabel("Upload concatenated RTCMv3 Broadcast Ephemeris to caster.<br>"), 0, 0, 1, 50);
   uploadLayoutEph->addWidget(new QLabel("Host"),                  1, 0);
   uploadLayoutEph->addWidget(_uploadEphHostLineEdit,              1, 1, 1, 3);